# qt4 bits needed by (at least) lxqt/razorqt
%bcond_without qt4
%bcond_without qt5

Name:           libqtxdg
Summary:        Qt4 implementation of desktop specifications
Version:        0.5.3
Release:        4%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/lxde/libqtxdg
Source0:        http://lxqt.org/downloads/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake >= 2.8.3
BuildRequires:  file-devel
%if %with qt4
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtXml)
%endif
%if %with qt5
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  qt5-linguist
%endif

# upgrade path for libqtxdg-qt4 name
Obsoletes:      libqtxdg-qt4 < 0.5.3-4
Provides:       libqtxdg-qt4 = %{version}-%{release}
Provides:       libqtxdg-qt4%{?_isa} = %{version}-%{release}

%description
Implementations of freedesktop.org XDG specifications from LXDE project for use 
with Qt4 library.

%package devel
Summary:        Qt4 - development files for qtxdg
# upgrade path for libqtxdg-qt4 name
Obsoletes:      libqtxdg-qt4-devel < 0.5.3-4
Provides:       libqtxdg-qt4-devel = %{version}-%{release}
Provides:       libqtxdg-qt4-devel%{?_isa} = %{version}-%{release}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.

%package qt5
Summary:        Qt5 implementation of desktop specifications
%description qt5
Implementations of freedesktop.org XDG specifications from LXDE project for use 
with Qt5 library.

%package qt5-devel
Summary:        Development files for Qt5Xdg
Requires:       %{name}-qt5%{?_isa} = %{version}-%{release}
%description qt5-devel
Files used for developing and building software that uses Qt5Xdg.


%prep
%setup -q -c


%build
%if %with qt4
mkdir build-qt4
cd build-qt4
%cmake ..
make %{?_smp_mflags}
cd ..
%endif

%if %with qt5
mkdir build-qt5
cd build-qt5
%cmake -DUSE_QT5=Yes ..
make %{?_smp_mflags}
cd ..
%endif


%install
%if %with qt4
make -C build-qt4 install DESTDIR=%{buildroot}
%endif

%if %with qt5
make -C build-qt5 install DESTDIR=%{buildroot}
%endif

%find_lang libqtxdg --with-qt

mv libqtxdg.lang libqtxdg-all.lang
grep "%{_datadir}/libqtxdg/"  libqtxdg-all.lang > libqtxdg.lang
grep "%{_datadir}/libqt5xdg/" libqtxdg-all.lang > libqtxdg-qt5.lang


%if %with qt4
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libqtxdg.lang
%{_libdir}/libqtxdg.so.0*
%dir %{_datadir}/libqtxdg/
%doc COPYING AUTHORS

%files devel
%{_libdir}/libqtxdg.so
%{_libdir}/pkgconfig/qtxdg.pc
%{_includedir}/qtxdg/
%dir %{_datadir}/cmake/
%{_datadir}/cmake/qtxdg/
%endif

%if %with qt5
%post qt5 -p /sbin/ldconfig
%postun qt5 -p /sbin/ldconfig

%files qt5 -f libqtxdg-qt5.lang
%{_libdir}/libQt5Xdg.so.0*
%dir %{_datadir}/libqt5xdg/
%doc COPYING AUTHORS

%files qt5-devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_includedir}/qt5xdg/
%dir %{_datadir}/cmake/
%{_datadir}/cmake/qt5xdg/
%endif


%changelog
* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.5.3-4
- Provide qt4 support (#1147204)
- rename libqtxdg-qt4 -> libqtxdg, libqtxdg-qt4-devel -> libqtxdg to ease/simplify upgrade path
- use %%find_lang for translations
- -devel: drop cmake dep

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.5.3-1
- Update to a later upstream release

* Tue Dec 03 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.5.0-1
- Initial packaging
